Subject: Re: [regext] Francesca Palombini's No Objection on draft-ietf-regext-rfc7484bis-04: (with COMMENT)

From: Marc Blanchet <[email-masked]>
Date: Tue, 25 Jan 2022 19:05:29 -0500

> Le 29 nov. 2021 à 10:31, Francesca Palombini via Datatracker <[email-masked]> a écrit :
> 
> Francesca Palombini has entered the following ballot position for
> draft-ietf-regext-rfc7484bis-04: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7484bis/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thank you for the work on this document.
> 
> Many thanks to Russ Housley for the ART ART review:
> https://mailarchive.ietf.org/arch/msg/art/XJJLbQHKjAxsAlScJL3BKX9vMOA/ and
> Carsten Bormann for providing CDDL feedback (more below).
> 
> I have a couple of non-blocking comments, but I would really appreciate an
> answer.
> 
> Francesca
> 
> 1. -----
> 
> FP: Please replace references to RFC 7234 with draft-ietf-httpbis-cache-19.

<MB>I have a hard time thinking to replace an RFC reference to a draft in a document that would become an Internet Standard. Moreover, I think the reference is more about “please look at ways to cache data” more than a hard requirement. So I disagree with your proposal. The new -05 do not contain any change in that regard. So I’m looking for your reply if you still want me to change the reference</MB>

> 
> 2. ----
> 
> Section 10.2
> 
> FP: This section is quite clear, but I can't not notice that CDDL
> (https://datatracker.ietf.org/doc/html/rfc8610) would have been a good addition
> to this document. Here is a proposal
> 
> rdap-bootstrap-registry = {
>      "version": tstr,
>      "publication": tstr,
>      ? "description": tstr,
>      "services": [+ service]
> }
> 
> service = [
>      entry-list,
>      service-uri-list
> ]
> 
> entry-list = [+ entry: tstr]
> 
> service-uri-list = [+ service-uri: tstr]
> 
> Note that I have marked each of the services, entry-list and service-uri-list
> arrays as containing "one or more" element - if these arrays can be empty, then
> "+" should be replaced by "*". Which raise the question - can any of them be
> empty? What would be the meaning in that case? And also nicely shows why
> defining the CDDL is always a Good Thing.

<MB>At the time of writing the first draft, I took what was used in other RFCs for a  formal JSON definition. I agree that CDDL seems nicer and easier to understand and follow. However, I’m kinda not too warm about changing a formal specification while there are no changes in fact on the specification, for pushing the document in Internet Standard.  People reading the diff will think that the specification has changed, while it has not. The new -05 do not contain any change in that regard. So I’m looking for your reply if you still want me to use this CDDL snippet</MB>

Marc.